Section "Module"
    Load	"dbe"		# Double buffer extension
    Load	"extmod"	# Miscellaneous extensions module
    Load        "type1"		# Type1 fonts module
    Load        "speedo"
    Load        "freetype"	# Freetype fonts module
    #Load        "xtt"
    Load	"glx"		# GLX module
    Load	"ddc"		# DDC module
#    Load	"synaptics"	# Synaptics Touchpad module
EndSection

Section "Files"
    RgbPath	"/usr/X11R6/lib/X11/rgb"
    FontPath	"/usr/X11R6/lib/X11/fonts/local/"
    FontPath	"/usr/X11R6/lib/X11/fonts/misc/"
    FontPath	"/usr/X11R6/lib/X11/fonts/75dpi/:unscaled"
    FontPath	"/usr/X11R6/lib/X11/fonts/100dpi/:unscaled"
    FontPath	"/usr/X11R6/lib/X11/fonts/Speedo/"
    FontPath	"/usr/X11R6/lib/X11/fonts/Type1/"
    FontPath	"/usr/X11R6/lib/X11/fonts/TrueType/"
    FontPath	"/usr/X11R6/lib/X11/fonts/freefont/"
    FontPath	"/usr/X11R6/lib/X11/fonts/75dpi/"
    FontPath	"/usr/X11R6/lib/X11/fonts/100dpi/"
    ModulePath	"/usr/X11R6/lib/modules"
EndSection

Section "ServerFlags"
#    Option	"NoTrapSignals"
#    Option	"DontVTSwitch"
#    Option	"DontZap"
#    Option	"Dont Zoom"
#    Option	"DisableVidModeExtension"
#    Option	"AllowNonLocalXvidtune"
#    Option	"DisableModInDev"
#    Option	"AllowNonLocalModInDev"
EndSection

Section "InputDevice"
    Identifier	"Keyboard"
    Driver	"kbd"
    Option	"AutoRepeat" "500 30"
    Option	"XkbRules"	"xfree86"
    Option	"XkbModel"	"toshiba_s3000"
    Option	"XkbLayout"	"es"
EndSection

Section "InputDevice"
    Identifier	"Touchpad"
    Driver	"mouse"
#    Driver	"synaptics"
    Option	"Device"		"/dev/input/mouse0"
    Option	"Protocol"		"PS/2"
#    Option	"Protocol"		"auto-dev"
    Option      "CorePointer"		"1"
    Option      "SHMConfig"		"on"
    Option	"LeftEdge"		"1400"
    Option	"RightEdge"		"5600"
    Option	"TopEdge"		"1300"
    Option	"BottomEdge"		"4700"
    Option	"FingerLow"		"25"
    Option	"FingerHigh"		"30"
    Option	"MaxTapTime"		"180"
    Option	"MaxTapMove"		"220"
    Option	"VertScrollDelta"	"100"
    Option	"HorizScrollDelta"	"100"
    Option	"EdgeMotionMinZ"	"25"
    Option	"EdgeMotionMaxZ"	"40"
    Option	"EdgeMotionMinSpeed"	"0.02"
    Option	"EdgeMotionMaxSpeed"	"0.18"
    Option	"EdgeMotionUseAlways"	"on"
    Option	"Repeater"
    Option	"MinSpeed"		"0.02"
    Option	"MaxSpeed"		"0.18"
    Option	"AccelFactor"		"0.0015"
#    Option	"UpDownScrolling"
    Option	"EmulateMidButtonTime"	"75"
    Option	"TouchPadOff"		"0"
    Option	"LockedDrags"		"off"
    Option	"RTCornerButton"	"3"
    Option	"RBCornerButton"	"2"
    Option	"LTCornerButton"	"1"
    Option	"LBCornerButton"	"0"
    Option	"TapButton1"		"1"
    Option	"TapButton2"		"3"
    Option	"TapButton3"		"2"
    Option	"CircularScrolling"	"on"
    Option	"CircScrollDelta"	"0.5"
    Option	"CircScrollTrigger"	"1"
EndSection

Section "InputDevice"
    Identifier	"USBMouse"
    Driver	"mouse"
    Option	"Protocol"		"IMPS/2"
    Option	"Device"		"/dev/input/mouse1"
    Option	"ZAxisMapping"		"4 5"
    Option	"Buttons"		"3"
EndSection

Section "Monitor"
    Identifier	"LCD"
    HorizSync	31.5-48.5
    VertRefresh	50-70
    Vendorname	"Toshiba"
    Modelname	"Toshiba LCD"
    #ModeLine	"1024x768/60Hz" 65 1024 1032 1176 1344 768 771 777 806  -HSync -VSync
    #PAL@60Hz
    ModeLine "640x480_60" 25.2     640 656 752 800   480 490 492 525
    ModeLine "800x600_60" 39.7901  800 840 968 1056  600 601 605 628
    #PAL@50Hz
    ModeLine "640x480_50" 21.0     640 656 752 800   480 490 492 525
    ModeLine "800x600_50" 33.1584  800 840 968 1056  600 601 605 628    
EndSection

Section "Monitor"
    Identifier	"TV"
    HorizSync	15-50
    VertRefresh	50-60
    #PAL@60Hz
    ModeLine "640x480_60" 25.2     640 656 752 800   480 490 492 525
    ModeLine "800x600_60" 39.7901  800 840 968 1056  600 601 605 628
    #PAL@50Hz
    ModeLine "640x480_50" 21.0     640 656 752 800   480 490 492 525
    ModeLine "800x600_50" 33.1584  800 840 968 1056  600 601 605 628    
EndSection

Section "Device"
    Identifier	"NVidia Geforce4 420 Go"
    BoardName	"NVidia GeForce4 420 Go"
    Driver	"nvidia"
    VendorName	"NVidia"
    BusID	"AGP:01:00:0"
    Option	"UseEdidFreqs" "1"
    Option	"IgnoreEDID" "0"
    Option	"GenerateRTList" "0"
    Option	"OverridePolarity" "1"
    Option	"NvAGP" "1"
    Option	"DigitalVibrance" "0"
    Option	"TwinView" "1"
    Option	"SecondMonitorHorizSync" "15-50"
    Option	"SecondMonitorVertRefresh" "50-60"
    Option	"TwinViewOrientation" "Clone"
    Option	"TVOutFormat" "SVIDEO"
    Option	"ConnectedMonitor" "DFP,TV"
    Option	"TVStandard" "PAL-B"
    Option	"MetaModes" "1024x768@1024x768,1024x768@1024x768;800x600_50@800x600,800x600_50@800x600;640x480_50@640x480,640x480_50@640x480;320x240@320x240,320x240@320x240"
    Option	"CursorShadow" "1"
    Option	"CursorShadowAlpha" "128"
EndSection

Section "Screen"
    Identifier	"LCD_Screen"
    Device	"NVidia Geforce4 420 Go"
    Monitor	"LCD"
    DefaultDepth	24

    Subsection	"Display"
        Depth	8
        Modes	"1024x768" "800x600" "640x480" "320x240" "320x200" "800x600_50" "640x480_50"
        ViewPort	0 0
	Virtual	0 0
    EndSubsection
    
    Subsection "Display"
        Depth	16
        Modes	"1024x768" "800x600" "640x480" "320x240" "320x200" "800x600_50" "640x480_50"
        ViewPort	0 0
	Virtual	0 0
    EndSubsection
    
    Subsection "Display"
        Depth	24
        Modes	"1024x768" "800x600" "640x480" "320x240" "320x200" "800x600_50" "640x480_50"
        ViewPort	0 0
	Virtual	0 0
    EndSubsection

EndSection

Section "Screen"
    Identifier	"TV_Screen"
    Device	"NVidia Geforce4 420 Go"
    Monitor	"TV"
    DefaultDepth	24

    Subsection "Display"
        Depth	24
        Modes	"1024x768" "800x600" "640x480" "320x240" "320x200" "800x600_50" "640x480_50"
        ViewPort	0 0
	Virtual	0 0
    EndSubsection

EndSection

Section "ServerLayout"
    Identifier	"Simple Layout"
    Screen	"LCD_Screen"
    InputDevice	"Keyboard" "CoreKeyboard"
    InputDevice	"Touchpad" "CorePointer"
    InputDevice	"USBMouse" "AlwaysCore"
EndSection
 
